Subject: bug#72046: [core-updates] OpenImageIO fails to build

From: "Leo Famulari" <[email-masked]>
Date: Fri, 12 Jul 2024 17:15:04 -0400

On Thu, Jul 11, 2024, at 11:32, Leo Famulari wrote:
> On Thu, Jul 11, 2024 at 11:25:34PM +0800, Zheng Junjie wrote:
>> > So, it's a problem with cmake?
>> >
>> > Do you know if they've fixed it in later versions?
>> 
>> see https://gitlab.kitware.com/cmake/cmake/-/issues/25200
>
> Thanks!
>
>> > Would this remove zlib support from openimageio?
>> 
>> no, just fix macro OIIO_ALL_BUILD_DEPS_FOUND to a right string.
>
> Okay, great. I confirm your patch fixes the problem. I'll push it to
> core-updates on your behalf.

I made a mistake when I thought that this first revision of the patch fixed the build. I'm not sure what I did wrong, but I'm sorry to cause confusion.

Leo

> Attachments:
> * signature.asc